:mod:`persistent.interfaces`
===================================

.. automodule:: persistent.interfaces

  .. autointerface:: IPersistent
     :members:
     :member-order: bysource

  .. autointerface:: IPersistentDataManager
     :members:
     :member-order: bysource

  .. autointerface:: IPickleCache
     :members:
     :member-order: bysource

Implementations
===============

This package provides one implementation of :class:`IPersistent` that
should be extended.

  .. autoclass:: persistent.Persistent
				 :members:
				 :show-inheritance:
